/* ****************************** -*-c++-*- *******************************
 *         The Amulet User Interface Development Environment              *
 * ************************************************************************
 * This code was written as part of the Amulet project at                 *
 * Carnegie Mellon University, and has been placed in the public          *
 * domain.  If you are using this code or any part of Amulet,             *
 * please contact amulet@cs.cmu.edu to be put on the mailing list.        *
 * ************************************************************************/

/* This file contains the definitions for connecting to Pebbles from an
   external application
   
   Designed and implemented by Brad Myers
*/

#ifndef PEBBLESMULTICURSOR_H
#define PEBBLESMULTICURSOR_H

#define MAX_MULTICURSOR_USERS 20
#define MAX_USER_NAME_LENGTH 15

// #include "stdafx.h"  // for HWND
#include <windows.h>  // another way to get HWND

#define PEBBLESMULTICURSORMESSAGE (WM_USER + 34)

extern "C" void WINAPI Init_Pebbles_MultiCursor(HWND hWnd); //call this once

//user_id must be >= 0 and < MAX_MULTICURSOR_USERS
// Returns the name of the specified user, or NULL if no such user exists.
// Caller should not free the returned pointer.
//extern "C" char * WINAPI Get_Pebbles_User_Name(int user_id);
//extern "C" bool WINAPI Is_This_User_Valid(int user_id);


#endif // PEBBLESMULTICURSOR_H
